#############################################################################
## Module: @(#)01makerootdbs.sh     2.0     Date: 02/01/2020
## Author: Lester Knutsen  Email: lester@advancedatatools.com
##         Advanced DataTools Corporation
#############################################################################
## Setup Environment
echo "Setting up Environment"
. ./informix.env

echo "Making the Directories for all Informix Space" 
## Make the Directory for all Informix Space 
mkdir $INFORMIXCHUNKS
mkdir $INFORMIXCHUNKS1
mkdir $INFORMIXCHUNKS2
mkdir $INFORMIXCHUNKS3
mkdir $INFORMIXCHUNKS4
mkdir $INFORMIXCHUNKS5
mkdir $INFORMIXCHUNKS6

chmod 770 $INFORMIXCHUNKS
chmod 770 $INFORMIXCHUNKS1
chmod 770 $INFORMIXCHUNKS2
chmod 770 $INFORMIXCHUNKS3
chmod 770 $INFORMIXCHUNKS4
chmod 770 $INFORMIXCHUNKS5
chmod 770 $INFORMIXCHUNKS6

chown informix:informix  $INFORMIXCHUNKS
chown informix:informix  $INFORMIXCHUNKS1
chown informix:informix  $INFORMIXCHUNKS2
chown informix:informix  $INFORMIXCHUNKS3
chown informix:informix  $INFORMIXCHUNKS4
chown informix:informix  $INFORMIXCHUNKS5
chown informix:informix  $INFORMIXCHUNKS6

## Make the Directory for all Informix Links
mkdir $INFORMIXLINKS
chmod 770 $INFORMIXLINKS
chown informix:informix $INFORMIXLINKS

## Make the Informix rootdbs
touch $INFORMIXCHUNKS1/rootdbs
chmod 660 $INFORMIXCHUNKS1/rootdbs
chown informix:informix  $INFORMIXCHUNKS1/rootdbs

ln -s $INFORMIXCHUNKS1/rootdbs $INFORMIXLINKS/rootdbs

