#############################################################################
## Module: @(#)05makeaddlogs.sh     2.0     Date: 02/01/2020
## Author: Lester Knutsen  Email: lester@advancedatatools.com
##         Advanced DataTools Corporation
##  Description: Add Informix Logs
#############################################################################
## Setup Environment

echo "Setting up Environment"
. ./informix.env

echo "Creating 196 Logical Logs"
## Run this script to creat 196 x 20000 KB logs
## Add these logs after the original 6 logs in the rootdbs have been dropped

## Creat 6 New Logs and then drop the orginal 6 logs in the rootdbs
onparams -a -d log1dbs -s 20000 
onparams -a -d log2dbs -s 20000 
onparams -a -d log1dbs -s 20000 
onparams -a -d log2dbs -s 20000 
onparams -a -d log1dbs -s 20000 
onparams -a -d log2dbs -s 20000 

## Move the current logs to one of the new logs
onmode -l
onmode -l
onmode -l
onmode -l
onmode -l
onmode -l

## Perform a checkpoint the current new log
onmode -c

## Drop the orginal 6 logs
onparams -d -l 1 -y
onparams -d -l 2 -y
onparams -d -l 3 -y
onparams -d -l 4 -y
onparams -d -l 5 -y
onparams -d -l 6 -y


## Loop 95 times to create the remaining 200 logs

echo "Started Creating Logs"
a=1
while [[ $a -le 95 ]]; do
        echo "Count:"$a
		onparams -a -d log1dbs -s 20000 
		onparams -a -d log2dbs -s 20000 
        ((a++ ))
done
echo "Program Over"
