#############################################################################
## Module: @(#)08makedatadbs.sh     2.0     Date: 02/01/2020
## Author: Lester Knutsen  Email: lester@advancedatatools.com
##         Advanced DataTools Corporation
##  Description: Setup Informix dbspaces for database
#############################################################################
## Setup Environment
## Create main dbspace for the database and 12 partation dbspaces

echo "Setting up Environment"
. ./informix.env

echo "Creating one main Dbspace and 12 partition Dbspaces"

## Create files
#touch $INFORMIXCHUNKSX/datadbs
touch $INFORMIXCHUNKS1/datadbs
touch $INFORMIXCHUNKS1/data1dbs
touch $INFORMIXCHUNKS2/data2dbs
touch $INFORMIXCHUNKS3/data3dbs
touch $INFORMIXCHUNKS4/data4dbs
touch $INFORMIXCHUNKS5/data5dbs
touch $INFORMIXCHUNKS6/data6dbs
touch $INFORMIXCHUNKS1/data7dbs
touch $INFORMIXCHUNKS2/data8dbs
touch $INFORMIXCHUNKS3/data9dbs
touch $INFORMIXCHUNKS4/data10dbs
touch $INFORMIXCHUNKS5/data11dbs
touch $INFORMIXCHUNKS6/data12dbs

## Change Permissions
#chmod 660 $INFORMIXCHUNKSX/datadbs
chmod 660 $INFORMIXCHUNKS1/datadbs
chmod 660 $INFORMIXCHUNKS1/data1dbs
chmod 660 $INFORMIXCHUNKS2/data2dbs
chmod 660 $INFORMIXCHUNKS3/data3dbs
chmod 660 $INFORMIXCHUNKS4/data4dbs
chmod 660 $INFORMIXCHUNKS5/data5dbs
chmod 660 $INFORMIXCHUNKS6/data6dbs
chmod 660 $INFORMIXCHUNKS1/data7dbs
chmod 660 $INFORMIXCHUNKS2/data8dbs
chmod 660 $INFORMIXCHUNKS3/data9dbs
chmod 660 $INFORMIXCHUNKS4/data10dbs
chmod 660 $INFORMIXCHUNKS5/data11dbs
chmod 660 $INFORMIXCHUNKS6/data12dbs

## Create links
ln -s $INFORMIXCHUNKS1/datadbs	$INFORMIXLINKS/datadbs
ln -s $INFORMIXCHUNKS1/data1dbs	$INFORMIXLINKS/data1dbs
ln -s $INFORMIXCHUNKS2/data2dbs	$INFORMIXLINKS/data2dbs
ln -s $INFORMIXCHUNKS3/data3dbs	$INFORMIXLINKS/data3dbs
ln -s $INFORMIXCHUNKS4/data4dbs	$INFORMIXLINKS/data4dbs
ln -s $INFORMIXCHUNKS5/data5dbs	$INFORMIXLINKS/data5dbs
ln -s $INFORMIXCHUNKS6/data6dbs	$INFORMIXLINKS/data6dbs
ln -s $INFORMIXCHUNKS1/data7dbs	$INFORMIXLINKS/data7dbs
ln -s $INFORMIXCHUNKS2/data8dbs	$INFORMIXLINKS/data8dbs
ln -s $INFORMIXCHUNKS3/data9dbs	$INFORMIXLINKS/data9dbs
ln -s $INFORMIXCHUNKS4/data10dbs $INFORMIXLINKS/data10dbs
ln -s $INFORMIXCHUNKS5/data11dbs $INFORMIXLINKS/data11dbs
ln -s $INFORMIXCHUNKS6/data12dbs $INFORMIXLINKS/data12dbs
## Add dbspace 2K dbs
onspaces -c -d datadbs	  	-p $INFORMIXLINKS/datadbs -o 0 -s      2000000 
onspaces -c -d data1dbs	 	-p $INFORMIXLINKS/data1dbs -o 0 -s     2000000 
onspaces -c -d data2dbs	 	-p $INFORMIXLINKS/data2dbs -o 0 -s     2000000 
onspaces -c -d data3dbs	 	-p $INFORMIXLINKS/data3dbs -o 0 -s     2000000 
onspaces -c -d data4dbs	 	-p $INFORMIXLINKS/data4dbs -o 0 -s     2000000 
onspaces -c -d data5dbs	 	-p $INFORMIXLINKS/data5dbs -o 0 -s     2000000 
onspaces -c -d data6dbs	 	-p $INFORMIXLINKS/data6dbs -o 0 -s     2000000 
onspaces -c -d data7dbs	 	-p $INFORMIXLINKS/data7dbs -o 0 -s     2000000 
onspaces -c -d data8dbs	 	-p $INFORMIXLINKS/data8dbs -o 0 -s     2000000 
onspaces -c -d data9dbs	 	-p $INFORMIXLINKS/data9dbs -o 0 -s     2000000 
onspaces -c -d data10dbs	-p $INFORMIXLINKS/data10dbs -o 0 -s    2000000 
onspaces -c -d data11dbs	-p $INFORMIXLINKS/data11dbs -o 0 -s    2000000 
onspaces -c -d data12dbs	-p $INFORMIXLINKS/data12dbs -o 0 -s    2000000 
