#############################################################################
## Module: @(#)02setupServer     2.0     Date: 02/01/2020
## Author: Lester Knutsen  Email: lester@advancedatatools.com
##         Advanced DataTools Corporation
#############################################################################
## Setup Environment

echo "Setting up Environment"
. ./informix.env

echo "Copy the $ONCONFIG to $INFORMIXDIR/etc"
## Copy the onconfig to $INFORMIXDIR/etc
cp $ONCONFIG $INFORMIXDIR/etc/$ONCONFIG

echo "Copy the sqlhosts file for all servers to $INFORMIXDIR/etc"
## Copy the SQLhosts file for all servers to $INFORMIXDIR/etc
cp sqlhosts $INFORMIXDIR/etc/sqlhosts

echo " Initialize the Informix Server"
## initialize the Informix Server
oninit -iyvw

echo "Informix Server Initialized - Complete"
onstat -m

