#############################################################################
## Module: @(#)03makeplogdbs.sh     2.0     Date: 02/01/2020
## Author: Lester Knutsen  Email: lester@advancedatatools.com
##         Advanced DataTools Corporation
##  Description: Setup Informix Physical Log
#############################################################################
## Setup Environment

echo "Setting up Environment"
. ./informix.env

echo "Create and move the physical log to the new DBspace"
touch $INFORMIXCHUNKS2/plogdbs

chmod 660 $INFORMIXCHUNKS2/plogdbs

ln -s $INFORMIXCHUNKS2/plogdbs $INFORMIXLINKS/plogdbs

## Create and move the physical log to the new dbspace
onspaces -c -P plogdbs -p $INFORMIXLINKS/plogdbs -o 0 -s   4000000  

