#############################################################################
## Module: @(#)04makelogsdbs.sh     2.0     Date: 02/01/2020
## Author: Lester Knutsen  Email: lester@advancedatatools.com
##         Advanced DataTools Corporation
##  Description: Setup Informix Logical Logs
#############################################################################
## Setup Environment

echo "Setting up Environment"
. ./informix.env

echo "Creating two Dbspaces for Logical Logs"

touch $INFORMIXCHUNKS3/log1dbs
touch $INFORMIXCHUNKS4/log2dbs

chmod 660 $INFORMIXCHUNKS3/log1dbs
chmod 660 $INFORMIXCHUNKS4/log2dbs


ln -s $INFORMIXCHUNKS3/log1dbs  $INFORMIXLINKS/log1dbs 
ln -s $INFORMIXCHUNKS4/log2dbs  $INFORMIXLINKS/log2dbs 

onspaces -c -d log1dbs -p $INFORMIXLINKS/log1dbs  -o 0 -s 2000000  
onspaces -c -d log2dbs -p $INFORMIXLINKS/log2dbs  -o 0 -s 2000000 

