#############################################################################
## Module: @(#)07makesysadmindbs.sh     2.0     Date: 02/01/2020
## Author: Lester Knutsen  Email: lester@advancedatatools.com
##         Advanced DataTools Corporation
##  Description: Setup Informix Sysadmin dbspace
#############################################################################
## Setup Environment

echo "Setting up Environment"
. ./informix.env

echo "Creating and moving the Sysadmin database to a new DBspace"
touch $INFORMIXCHUNKS1/sysadmdbs

chmod 660 $INFORMIXCHUNKS1/sysadmdbs

ln -s $INFORMIXCHUNKS1/sysadmdbs $INFORMIXLINKS/sysadmdbs

onspaces -c -d sysadmdbs -p $INFORMIXLINKS/sysadmdbs -o 0 -s 2000000

## move the sysadmin database to this new dbspace

dbaccess sysadmin - <<EOF
execute function task ( "reset sysadmin" , "sysadmdbs" ) ; 
EOF
